Bug 1270628 - Crash during 'dnf update' [NEEDINFO]
Crash during 'dnf update'
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rng-tools (Show other bugs)
23
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 21:02 EDT by a.galley
Modified: 2016-12-20 09:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:57:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lvrabec: needinfo? (jgarzik)


Attachments (Terms of Use)
FAF-report (50.54 KB, application/pdf)
2015-10-11 21:02 EDT, a.galley
no flags Details
ABRT-Logs (116.25 KB, application/zip)
2015-10-13 23:31 EDT, a.galley
no flags Details

  None (edit)
Description a.galley 2015-10-11 21:02:57 EDT
Created attachment 1081846 [details]
FAF-report

Description of problem:
"systemd quit unexpectedly"
"The application encountered a problem and could not continue."

New installation -- during 'dnf update', at
about '50/500' during 'Updating selinux-xxx',
pop-up message 'AVC denial'; when trying
to view message, session automatically
logged out completely. Logged back in,
obviously terminal session gone, unable to
generate backtrace: "Reporting disabled because
the backtrace is unusable."

\/

--- Running report_uReport ---
('report_uReport' completed successfully)

--- Running analyze_CCpp ---
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be
generated locally. (It may download a huge amount of data). 'NO'
Analyzing coredump 'coredump'
Coredump references 14 debuginfo files, 5 of them are not installed
Initializing package manager
Setting up repositories
Looking for needed packages in repositories
Can't find packages for 5 debuginfo files
Removing /var/tmp/abrt-tmp-debuginfo-2015-10-12-00:31:57.7184
Missing debuginfo file: /usr/lib/debug/.build-id/de/12f694a25957f15771741af8d6c3c318763369.debug
Missing debuginfo file: /usr/lib/debug/.build-id/dd/4d5a4d4ef448036059dbfa85bac324c6b6ce7c.debug
Missing debuginfo file: /usr/lib/debug/.build-id/b5/6b7a8a839dd4e2777f242b706cecf1172b29b4.debug
Missing debuginfo file: /usr/lib/debug/.build-id/d4/d5520fcc8192262fc3b18f86e285b1fe2b450f.debug
Missing debuginfo file: /usr/lib/debug/.build-id/d1/21be46ddf2dceb38d1a351941ddb16a1826064.debug
Generating backtrace
Backtrace is generated and saved, 8979 bytes
Looking for similar problems in bugzilla
/usr/bin/abrt-action-analyze-ccpp-local: line 47:  7195 Segmentation fault      (core dumped) abrt-bodhi -r -b $bug_id

\/

Version-Release number of selected component (if applicable):
CDLABEL=Fedora-Live-Dsgn-i686-23_B-1

How reproducible:
'dnf update'

Steps to Reproduce:
1. New Installation;
2. Configure (Firefox, Gimp, LAN);
3. Do 'dnf update'.

Actual results:
Updating goes well until 'Updating selinux-xxx', then
AVC denial followed by automatic logout.

Additional info:
FAF attached.
Comment 1 Miroslav Grepl 2015-10-12 06:55:38 EDT
I don't see AVC which you mentioned. Could you attach it?

Thank you.
Comment 2 a.galley 2015-10-12 18:51:54 EDT
Yes, this must be the one -- note that the
BIOS clock is exactly one hour earlier than the
OS clock (AVC=23:06, ABRT=00:06); something to do
with BST, perhaps?

\/

SELinux is preventing abrt-hook-ccpp from using the sigchld access on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-hook-ccpp should be allowed sigchld access on processes labeled kernel_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-hook-ccpp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:syslogd_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                Unknown [ process ]
Source                        abrt-hook-ccpp
Source Path                   abrt-hook-ccpp
Port                          <Unknown>
Host                          localhost
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-144.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 4.2.0-300.fc23.i686 #1
                              SMP Fri Sep 4 14:03:24 UTC 2015 i686 i686
Alert Count                   1
First Seen                    2015-10-11 23:06:31 BST
Last Seen                     2015-10-11 23:06:31 BST
Local ID                      72962bf3-9df3-4850-aa84-996dbd8dcfe8

Raw Audit Messages
type=AVC msg=audit(1444604791.777:853): avc:  denied  { sigchld } for  pid=5286 comm="abrt-hook-ccpp" scontext=system_u:system_r:syslogd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=process permissive=0


Hash: abrt-hook-ccpp,syslogd_t,kernel_t,process,sigchld

\/

Here is another which appeared during the
current session a few minutes ago, not connected
with 'dnf update' but while logging in, I guess (4 times):

\/

SELinux is preventing rngd from execmod access on the file /usr/sbin/rngd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that rngd should be allowed execmod access on the rngd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep rngd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:rngd_t:s0
Target Context                system_u:object_r:rngd_exec_t:s0
Target Objects                /usr/sbin/rngd [ file ]
Source                        rngd
Source Path                   rngd
Port                          <Unknown>
Host                          localhost
Source RPM Packages           
Target RPM Packages           rng-tools-5-5.fc23.i686
Policy RPM                    selinux-policy-3.13.1-144.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     localhost
Platform                      Linux localhost 4.2.0-300.fc23.i686 #1 SMP Fri Sep
                              4 14:03:24 UTC 2015 i686 i686
Alert Count                   4
First Seen                    2015-10-10 18:41:57 BST
Last Seen                     2015-10-12 21:08:58 BST
Local ID                      af09663e-4c99-494f-94a3-cbec89a8dae7

Raw Audit Messages
type=AVC msg=audit(1444684138.341:88): avc:  denied  { execmod } for  pid=1127 comm="rngd" path="/usr/sbin/rngd" dev="dm-0" ino=1321650 scontext=system_u:system_r:rngd_t:s0 tcontext=system_u:object_r:rngd_exec_t:s0 tclass=file permissive=0


Hash: rngd,rngd_t,rngd_exec_t,file,execmod

\/

I'm going to have a look
at '/var/spool/abrt' to see if
there is anything useful there.
Comment 3 Lukas Vrabec 2015-10-13 08:46:22 EDT
Hi, 
Does anybody know is execmod needed? 

Thank you.
Comment 4 a.galley 2015-10-13 23:31 EDT
Created attachment 1082678 [details]
ABRT-Logs
Comment 5 a.galley 2015-10-13 23:39:39 EDT
Also attached 'ABRT-Logs', though
probably not much use.

Please let me know when fixed,
so I can have another go.
Comment 6 Fedora End Of Life 2016-11-24 07:45:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 09:57:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.